package photosapi

import (
	"github.com/gin-gonic/gin"
)

var (
	StatusSuccess = "success"
	StatusFailed  = "failed"
)

func (s *Service) HandleError(c *gin.Context) {
	c.Next()

	if err := c.Errors.Last(); err != nil {
		c.JSON(-1, gin.H{
			"status": StatusFailed,
			"error":  err.Err.Error(),
		})
	}
}
